# Struct coloured_string_t

- Defined in File utilities.hpp

## Struct Documentation

struct coloured_string_t

  Struct for delimited strings.

  Public Functions

  inline coloured_string_t(std::string_view s, colour_type fc, colour_type bc, style_type st)

    Construct a new coloured string t object.

  coloured_string_t(coloured_string_t&) = delete
  coloured_string_t &operator=(coloured_string_t&) = delete

  Friends

  template<typename char_type, typename traits_type>
  inline friend std::basic_ostream<char_type, traits_type> &operator<<(std::basic_ostream<char_type, traits_type> &os, const coloured_string_t &cs)

    Write out the string, either coloured or not.